Skip to content

Stack ​

64 operations. Call any of them with omada_call_operation (or, in full tool mode, as a tool named by its operationId).

OperationMethodSummary
cancelStackCableTestPOSTCancel stack cable test
getStackCableTestFullResultsGETGet stack cable test full results
getStackCableTestIncrementResultsGETGet stack cable test increment results
getStackCableTestLogsGETGet stack cable test logs
getStackCableTestPortsGETGet the port list of stack used for cable test
startStackCableTestPOSTStart stack cable test
forceProvisionStackPOSTForce provision stack
forgetStackPOSTForget stack
locateOswStackPOSTLocate switch stack
rebootOswStackPOSTReboot switch stack
getOswStackDDMInfoGETGet stack ddm info.
getGridStackDhcpUserListGETGet stack dhcp user list
downloadStackDeviceInfoGETDownload stack device info.
listStackInterfacesGETList Stack Interfaces
listStackBriefInterfacesGETList Stack Brief Interfaces
modifyPmtudStatus_2POSTModify Stack Path MTU Discovery
getGridStackLldpNeighborTableGETGet stack lldp neighbor table
createLoopbackInterface_1POSTCreate Stack Loopback Interface
deleteLoopbackInterface_1DELETEDelete Stack Loopback Interface
modfiyLoopbackInterface_1PUTModify Stack Loopback Interface
getGridStackOspfNeighborTableGETGet stack ospf neighbor table
getStackRpvstInstancesGETGet Stack Rpvst Instances
getStackUsedSdmNumGETGet the used sdm template num on the stack
getRpvstInstancesDetailPOSTGet Stack StpInstanceDetail
getGridOswStackListGETGet stack list
createOswStackPOSTCreate Switch Stack
deleteOswStackDELETEDelete Switch Stack
getOswStackDetailGETGet stack detail
modifyOswStackPUTModify Switch Stack
modifyOswStackDetailPATCHModify stack detail
modifyStackLoopbackControlPATCHModify stack loopback control
getOswStackLagListGETGet stack lag List
deleteOswStackLagDELETEDelete stack lag (deprecated)
getOswStackLagGETGet stack lag
modifyOswStackLagPATCHModify stack lag (deprecated)
getStackNetworkListGETGet stack vlan interface List
batchApplyStackNetworksPOSTBatch modify stack vlan interface status
getGridStackPortAndLagNetworksDetailGETGet the networks detail (including the vlan related ports and lags info) used on stack's ports and LAGs
modifyStackNetworkPATCHModify stack vlan interface
getGridStackPortAndLagNetworksGETGet the networks used on stack's ports and LAGs
getStackPortAndLagNetworkGETGet the stack's ports and LAGs that the network affects
getOswStackPortListGETGet stack port List
modifyOswStackPortPATCHModify stack port (deprecated)
batchModifyOswStackPortsPOSTBatch modify stack port (deprecated)
getStackRememberMeGETGet stack remember Config
modifyStackRememberMePOSTModify stack remember Config
getGridStackStaticRoutingGETGet grid stack staticRouting
createStackStaticRoutingPOSTCreate stack staticRouting
deleteStackStaticRoutingDELETEDelete stack staticRouting
modifyStackStaticRoutingPUTModify stack staticRouting
getStackGridVrfGETGet stack vrf page
createStackVrfPOSTCreate new stack vrf
deleteStackVrfDELETEDelete an existing stack vrf
modifyStackVrfPUTModify an existing stack vrf
detectSwitchStackMembersForAllStacksPOSTDetect switch stacks members for all stacks
detectSwitchStackMembersPOSTDetect switch stack members
getGridDiscoveryStackListGETGet discovery stack list
getStackableSwitchesGETGet stackable switches
getMspOswStackDetailGETGet msp stack detail
getMspOswStackListGETGet msp stack List
deleteSwitchStackLagSettingDELETEDelete stack lag V2
modifySwitchStackLagSettingPATCHModify stack lag V2
batchModifySwitchStackPortSettingPATCHBatch modify stack port V2
modifySwitchStackPortSettingPATCHModify stack port V2

cancelStackCableTest ​

POST /openapi/v1/{omadacId}/sites/{siteId}/cable-test/stacks/{stackId}/cancel

Cancel stack cable test

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
stackIdpathstringyesStack ID
json
// omada_call_operation
{
  "operationId": "cancelStackCableTest",
  "params": {
    "siteId": "<siteId>",
    "stackId": "<stackId>"
  }
}
Details, permissions and error codes

Cancel stack cable test.
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39753 - This switch does not support the cable test.
-40200 - This switch stack is not existed.

getStackCableTestFullResults ​

GET /openapi/v1/{omadacId}/sites/{siteId}/cable-test/stacks/{stackId}/full-results

Get stack cable test full results

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
stackIdpathstringyesStack ID
json
// omada_call_operation
{
  "operationId": "getStackCableTestFullResults",
  "params": {
    "siteId": "<siteId>",
    "stackId": "<stackId>"
  }
}
Details, permissions and error codes

Get stack cable test full results.
The interface requires one of the permissions:
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-40200 - This switch stack is not existed.

getStackCableTestIncrementResults ​

GET /openapi/v1/{omadacId}/sites/{siteId}/cable-test/stacks/{stackId}/increment-results

Get stack cable test increment results

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
stackIdpathstringyesStack ID
json
// omada_call_operation
{
  "operationId": "getStackCableTestIncrementResults",
  "params": {
    "siteId": "<siteId>",
    "stackId": "<stackId>"
  }
}
Details, permissions and error codes

Get stack cable test increment results.
The interface requires one of the permissions:
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-40200 - This switch stack is not existed.

getStackCableTestLogs ​

GET /openapi/v1/{omadacId}/sites/{siteId}/cable-test/stacks/{stackId}/logs

Get stack cable test logs

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
stackIdpathstringyesStack ID
json
// omada_call_operation
{
  "operationId": "getStackCableTestLogs",
  "params": {
    "siteId": "<siteId>",
    "stackId": "<stackId>"
  }
}
Details, permissions and error codes

Get stack cable test logs.
The interface requires one of the permissions:
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-40200 - This switch stack is not existed.

getStackCableTestPorts ​

GET /openapi/v1/{omadacId}/sites/{siteId}/cable-test/stacks/{stackId}/ports

Get the port list of stack used for cable test

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
stackIdpathstringyesStack ID
json
// omada_call_operation
{
  "operationId": "getStackCableTestPorts",
  "params": {
    "siteId": "<siteId>",
    "stackId": "<stackId>"
  }
}
Details, permissions and error codes

Get the port list of stack used for cable test.
The interface requires one of the permissions:
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-40200 - This switch stack is not existed.

startStackCableTest ​

POST /openapi/v1/{omadacId}/sites/{siteId}/cable-test/stacks/{stackId}/start

Start stack cable test

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
stackIdpathstringyesStack ID

Request body — application/json (required) — schema OswCableTestTestingPortOpenApiVO

FieldTypeRequiredDescription
portListarray<OswBriefPortInfoOpenApiVO>noPort list
json
// omada_call_operation
{
  "operationId": "startStackCableTest",
  "params": {
    "siteId": "<siteId>",
    "stackId": "<stackId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Start stack cable test.
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39701 - This port does not exist
-39753 - This switch does not support the cable test.
-39754 - SFP port cannot be selected.
-39755 - Disabled port cannot be selected.
-39756 - Uplink port cannot be selected.
-39757 - This switch is running a cable test.
-39810 - Stacking port cannot be selected.
-40200 - This switch stack is not existed.

forceProvisionStack ​

POST /openapi/v1/{omadacId}/sites/{siteId}/cmd/stack/{stackId}/forceProvision

Force provision stack

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
stackIdpathstringyesStack ID
json
// omada_call_operation
{
  "operationId": "forceProvisionStack",
  "params": {
    "siteId": "<siteId>",
    "stackId": "<stackId>"
  }
}
Details, permissions and error codes

Force provision stack.
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-40200 - This switch stack is not existed.

forgetStack ​

POST /openapi/v1/{omadacId}/sites/{siteId}/cmd/stack/{stackId}/forget

Forget stack

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
stackIdpathstringyesStack ID
json
// omada_call_operation
{
  "operationId": "forgetStack",
  "params": {
    "siteId": "<siteId>",
    "stackId": "<stackId>"
  }
}
Details, permissions and error codes

Forget stack.
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-40200 - This switch stack is not existed.

locateOswStack ​

POST /openapi/v1/{omadacId}/sites/{siteId}/cmd/stacks/{stackId}/locate

Locate switch stack

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
stackIdpathstringyesStack ID

Request body — application/json (required) — schema OswStackLocateOpenApiVO

FieldTypeRequiredDescription
selectAllbooleannoIndicates whether to select the entire stack
macsarray<string>noSelected Device
locateEnablebooleanyesIndicates whether locate is enabled
standardPortsarray<string>noStandard port should be in the format of unit/slot/portId. e.g. 1/0/1 . When parameter[standardPorts] is not empty, paramter[selectAll] and [macs] are not needed
json
// omada_call_operation
{
  "operationId": "locateOswStack",
  "params": {
    "siteId": "<siteId>",
    "stackId": "<stackId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Locate switch stack.
The interface requires one of the permissions:
Site Device Manager Modify
Site Clients Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-40204 - The primary device is not connected, cannot locate.

rebootOswStack ​

POST /openapi/v1/{omadacId}/sites/{siteId}/cmd/stacks/{stackId}/reboot

Reboot switch stack

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
stackIdpathstringyesStack ID

Request body — application/json (required) — schema OswStackRebootOpenApiVO

FieldTypeRequiredDescription
selectAllbooleannoIndicates whether to select the entire stack
macsarray<string>noSelected Devices
json
// omada_call_operation
{
  "operationId": "rebootOswStack",
  "params": {
    "siteId": "<siteId>",
    "stackId": "<stackId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Reboot switch stack.
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39012 - Failed to send the reboot command to the device.
-40203 - The primary device is not connected, cannot reboot.

getOswStackDDMInfo ​

GET /openapi/v1/{omadacId}/sites/{siteId}/stack/{stackId}/ddm/info

Get stack ddm info.

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
stackIdpathstringyesStack ID
json
// omada_call_operation
{
  "operationId": "getOswStackDDMInfo",
  "params": {
    "siteId": "<siteId>",
    "stackId": "<stackId>"
  }
}
Details, permissions and error codes

Get stack ddm info.
The interface requires one of the permissions:
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-40200 - This switch stack is not existed.

getGridStackDhcpUserList ​

GET /openapi/v1/{omadacId}/sites/{siteId}/stack/{stackId}/dhcp/user-list

Get stack dhcp user list

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
stackIdpathstringyesStack ID
pagequeryintegernoStart page number. Start from 1. (default 1)
pageSizequeryintegernoNumber of entries per page. It should be within the range of 1–1000. (default 100)
json
// omada_call_operation
{
  "operationId": "getGridStackDhcpUserList",
  "params": {
    "siteId": "<siteId>",
    "stackId": "<stackId>"
  }
}
Details, permissions and error codes

Get stack dhcp user list.
The interface requires one of the permissions:
Site Device Manager View Only
Site Settings Manager View Only
Network Config Page View Only

downloadStackDeviceInfo ​

GET /openapi/v1/{omadacId}/sites/{siteId}/stack/{stackId}/downloadDeviceInfo

Download stack device info.

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
stackIdpathstringyesStack ID
json
// omada_call_operation
{
  "operationId": "downloadStackDeviceInfo",
  "params": {
    "siteId": "<siteId>",
    "stackId": "<stackId>"
  }
}
Details, permissions and error codes

Download stack device info.
The interface requires one of the permissions:
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-40200 - This switch stack is not existed.

listStackInterfaces ​

GET /openapi/v1/{omadacId}/sites/{siteId}/stack/{stackId}/interfaces

List Stack Interfaces

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
stackIdpathstringyesStack ID
pagequeryintegernoStart page number. Start from 1. (default 1)
pageSizequeryintegernoNumber of entries per page. It should be within the range of 1–1000. (default 100)
json
// omada_call_operation
{
  "operationId": "listStackInterfaces",
  "params": {
    "siteId": "<siteId>",
    "stackId": "<stackId>"
  }
}
Details, permissions and error codes

List Stack Interfaces, include VLAN Interface and Loopback Interface.
The interface requires one of the permissions:
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-40200 - This switch stack is not existed.

listStackBriefInterfaces ​

GET /openapi/v1/{omadacId}/sites/{siteId}/stack/{stackId}/interfaces/brief

List Stack Brief Interfaces

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
stackIdpathstringyesStack ID
json
// omada_call_operation
{
  "operationId": "listStackBriefInterfaces",
  "params": {
    "siteId": "<siteId>",
    "stackId": "<stackId>"
  }
}
Details, permissions and error codes

List Stack Brief Interfaces for OSPF Configurations, include VLAN Interface and Loopback Interface.
The interface requires one of the permissions:
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-40200 - This switch stack is not existed.

modifyPmtudStatus_2 ​

POST /openapi/v1/{omadacId}/sites/{siteId}/stack/{stackId}/interfaces/pmtud

Modify Stack Path MTU Discovery

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
stackIdpathstringyesStack ID

Request body — application/json (required) — schema OswPmtudVO

FieldTypeRequiredDescription
enablebooleannoThe Switch of Path MTU Discovery.
json
// omada_call_operation
{
  "operationId": "modifyPmtudStatus_2",
  "params": {
    "siteId": "<siteId>",
    "stackId": "<stackId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

modify Stack Path MTU Discovery.
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39700 - Switch does not exist

getGridStackLldpNeighborTable ​

GET /openapi/v1/{omadacId}/sites/{siteId}/stack/{stackId}/lldp-neighbors

Get stack lldp neighbor table

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
stackIdpathstringyesStack ID
pagequeryintegernoStart page number. Start from 1. (default 1)
pageSizequeryintegernoNumber of entries per page. It should be within the range of 1–1000. (default 100)
sorts.standardPortquerystringnoSort parameter may be one of asc or desc. Optional parameter. If it is not carried, it means it is not sorted by this field. When there are more than one, the first one takes effect
searchKeyquerystringnoFuzzy query parameters, support field portId,standardPort,deviceId,systemName
json
// omada_call_operation
{
  "operationId": "getGridStackLldpNeighborTable",
  "params": {
    "siteId": "<siteId>",
    "stackId": "<stackId>"
  }
}
Details, permissions and error codes

Get stack lldp neighbor table.
The interface requires one of the permissions:
Site Device Manager View Only

createLoopbackInterface_1 ​

POST /openapi/v1/{omadacId}/sites/{siteId}/stack/{stackId}/loopback-interface

Create Stack Loopback Interface

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
stackIdpathstringyesStack ID

Request body — application/json (required) — schema OswLoopbackInterfaceVO

FieldTypeRequiredDescription
statusintegeryesInterface status.0: disable, 1: enable.
namestringyesLoopback Interface name.
vrfIdstringnoVRF ID. This field is non-empty when the device supports VRF.
loopbackIdintegeryesLoopback ID.
ipstringyesIP address.
json
// omada_call_operation
{
  "operationId": "createLoopbackInterface_1",
  "params": {
    "siteId": "<siteId>",
    "stackId": "<stackId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Create Stack Loopback Interface.
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39700 - Switch does not exist

deleteLoopbackInterface_1 ​

DELETE /openapi/v1/{omadacId}/sites/{siteId}/stack/{stackId}/loopback-interface/{loopbackInterfaceId}

Delete Stack Loopback Interface

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
stackIdpathstringyesStack ID
loopbackInterfaceIdpathstringyesLoopback Interface ID
json
// omada_call_operation
{
  "operationId": "deleteLoopbackInterface_1",
  "params": {
    "siteId": "<siteId>",
    "stackId": "<stackId>",
    "loopbackInterfaceId": "<loopbackInterfaceId>"
  }
}
Details, permissions and error codes

Delete Stack Loopback Interface.
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39700 - Switch does not exist

modfiyLoopbackInterface_1 ​

PUT /openapi/v1/{omadacId}/sites/{siteId}/stack/{stackId}/loopback-interface/{loopbackInterfaceId}

Modify Stack Loopback Interface

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
stackIdpathstringyesStack ID
loopbackInterfaceIdpathstringyesLoopback Interface ID

Request body — application/json (required) — schema OswLoopbackInterfaceVO

FieldTypeRequiredDescription
statusintegeryesInterface status.0: disable, 1: enable.
namestringyesLoopback Interface name.
vrfIdstringnoVRF ID. This field is non-empty when the device supports VRF.
loopbackIdintegeryesLoopback ID.
ipstringyesIP address.
json
// omada_call_operation
{
  "operationId": "modfiyLoopbackInterface_1",
  "params": {
    "siteId": "<siteId>",
    "stackId": "<stackId>",
    "loopbackInterfaceId": "<loopbackInterfaceId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Modify Stack Loopback Interface.
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39700 - Switch does not exist

getGridStackOspfNeighborTable ​

GET /openapi/v1/{omadacId}/sites/{siteId}/stack/{stackId}/ospf-neighbors

Get stack ospf neighbor table

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
stackIdpathstringyesStack ID
pagequeryintegernoStart page number. Start from 1. (default 1)
pageSizequeryintegernoNumber of entries per page. It should be within the range of 1–1000. (default 100)
sorts.neighborInterfacequerystringnoSort parameter may be one of asc or desc. Optional parameter. If it is not carried, it means it is not sorted by this field. When there are more than one, the first one takes effect
filters.neighborInterfacequeryarray<string>noFilter query parameters, support field neighborInterface
filters.processIdquerystringnoFilter query parameters, support field processId
searchKeyquerystringnoFuzzy query parameters, support field neighborIp
json
// omada_call_operation
{
  "operationId": "getGridStackOspfNeighborTable",
  "params": {
    "siteId": "<siteId>",
    "stackId": "<stackId>"
  }
}
Details, permissions and error codes

Get stack ospf neighbor table.
The interface requires one of the permissions:
Site Device Manager View Only

getStackRpvstInstances ​

GET /openapi/v1/{omadacId}/sites/{siteId}/stack/{stackId}/rpvst-instances

Get Stack Rpvst Instances

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
stackIdpathstringyesStack ID
json
// omada_call_operation
{
  "operationId": "getStackRpvstInstances",
  "params": {
    "siteId": "<siteId>",
    "stackId": "<stackId>"
  }
}
Details, permissions and error codes

Get Stack Rpvst Instances.
The interface requires one of the permissions:
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-40200 - This switch stack is not existed.

getStackUsedSdmNum ​

GET /openapi/v1/{omadacId}/sites/{siteId}/stack/{stackId}/sdm-used

Get the used sdm template num on the stack

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
stackIdpathstringyesStack ID
json
// omada_call_operation
{
  "operationId": "getStackUsedSdmNum",
  "params": {
    "siteId": "<siteId>",
    "stackId": "<stackId>"
  }
}
Details, permissions and error codes

Get the used template num on the stack.
The interface requires one of the permissions:
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-40200 - This switch stack is not existed.

getRpvstInstancesDetail ​

POST /openapi/v1/{omadacId}/sites/{siteId}/stack/{stackId}/stp/instance-detail

Get Stack StpInstanceDetail

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
stackIdpathstringyesStack ID

Request body — application/json (required) — schema StpInstanceDetailVO

FieldTypeRequiredDescription
stpintegeryesstp, 1: STP / 2: RSTP / 3: MSTP / 4: RPVST / 0: OFF
idintegernoinstance ID
vlanintegernoinstance vlanId
json
// omada_call_operation
{
  "operationId": "getRpvstInstancesDetail",
  "params": {
    "siteId": "<siteId>",
    "stackId": "<stackId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Get Stack StpInstanceDetail.
The interface requires one of the permissions:
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-40200 - This switch stack is not existed.

getGridOswStackList ​

GET /openapi/v1/{omadacId}/sites/{siteId}/stacks

Get stack list

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
pagequeryintegernoStart page number. Start from 1. (default 1)
pageSizequeryintegernoNumber of entries per page. It should be within the range of 1–1000. (default 100)
json
// omada_call_operation
{
  "operationId": "getGridOswStackList",
  "params": {
    "siteId": "<siteId>"
  }
}
Details, permissions and error codes

Get stack list.
The interface requires one of the permissions:
Site Device Manager View Only

createOswStack ​

POST /openapi/v1/{omadacId}/sites/{siteId}/stacks

Create Switch Stack

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)

Request body — application/json (required) — schema OswStackConfigOpenApiVO

FieldTypeRequiredDescription
namestringyesStack Name
memberarray<OswStackMemberVO>yesStack member list
json
// omada_call_operation
{
  "operationId": "createOswStack",
  "params": {
    "siteId": "<siteId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Create Switch Stack.
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-34686 - This service port is already in use, please choose another port.
-39093 - The length of the device name exceeds the limit.
-39098 - The number of members exceeds the maximum member limit allowed by the controller.
-39700 - Switch does not exist
-39715 - The member port in the LAG is invalid.
-40201 - Incompatible stack device exists. Please check the stack compatibility.

deleteOswStack ​

DELETE /openapi/v1/{omadacId}/sites/{siteId}/stacks/{stackId}

Delete Switch Stack

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
stackIdpathstringyesStack ID
json
// omada_call_operation
{
  "operationId": "deleteOswStack",
  "params": {
    "siteId": "<siteId>",
    "stackId": "<stackId>"
  }
}
Details, permissions and error codes

Delete Switch Stack.
The interface requires one of the permissions:
Site Device Manager Modify

getOswStackDetail ​

GET /openapi/v1/{omadacId}/sites/{siteId}/stacks/{stackId}

Get stack detail

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
stackIdpathstringyesStack ID
json
// omada_call_operation
{
  "operationId": "getOswStackDetail",
  "params": {
    "siteId": "<siteId>",
    "stackId": "<stackId>"
  }
}
Details, permissions and error codes

Get stack detail.
The interface requires one of the permissions:
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-40200 - This switch stack is not existed.

modifyOswStack ​

PUT /openapi/v1/{omadacId}/sites/{siteId}/stacks/{stackId}

Modify Switch Stack

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
stackIdpathstringyesStack ID

Request body — application/json (required) — schema OswStackConfigOpenApiVO

FieldTypeRequiredDescription
namestringyesStack Name
memberarray<OswStackMemberVO>yesStack member list
json
// omada_call_operation
{
  "operationId": "modifyOswStack",
  "params": {
    "siteId": "<siteId>",
    "stackId": "<stackId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Modify Switch Stack.
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-34686 - This service port is already in use, please choose another port.
-39093 - The length of the device name exceeds the limit.
-39098 - The number of members exceeds the maximum member limit allowed by the controller.
-39101 - The device has been adopted at another site. Please access the site and forget the device first.
-39102 - The primary device is applying configurations. Please adopt the member device later.
-39103 - There are stack unit conflicts.
-39700 - Switch does not exist
-39715 - The member port in the LAG is invalid.
-40201 - Incompatible stack device exists. Please check the stack compatibility.

modifyOswStackDetail ​

PATCH /openapi/v1/{omadacId}/sites/{siteId}/stacks/{stackId}/config

Modify stack detail

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
stackIdpathstringyesStack ID

Request body — application/json (required) — schema OswStackDetailConfigOpenApiVO

FieldTypeRequiredDescription
namestringnoStack Name
ledSettingintegernoLED setting should be a value as follows: 0:off; 1:on; 2:Use Site Settings
mvlanNetworkIdstringnoManagement VLAN network ID
mvlanBridgeVlanintegernoOnly valid when mvlanNetworkId is bridge vlan
loopbackDetectEnablebooleannoLoopbackDetect enable status
stpintegernoSpanning Tree Protocol should be a value as follows: 1: STP; 2: RSTP; 3: MSTP; 4: RPVST 0: OFF
snmpOswSnmpVOno(OswSnmpVO not expanded; call omada_get_schema "OswSnmpVO")
priorityintegernoSTP priority should be an integer from 0 to 61440 and divisible by 4096
helloTimeintegernoSTP helloTime should be should be within the range of 1-10
maxAgeintegernoSTP maxAge should be should be within the range of 6-40
forwardDelayintegernoSTP should be should be within the range of 4-30
txHoldCountintegernoSTP txHoldCount should be should be within the range of 1-20
maxHopsintegernoSTP maxHops should be should be within the range of 1-40
mstpOswStpRpvstVOno(OswStpRpvstVO not expanded; call omada_get_schema "OswStpRpvstVO")
tagIdsarray<string>noTag ID List
jumbointegernoJumbo should be should be within the range of 1518-9216
lagHashAlgintegernoIt should be a value as follows: 0: SRC MAC; 1: DST MAC; 2: SRC MAC + DST MAC; 3: SRC IP; 4: DST IP; 5: SRC IP + DST IP
locationDeviceLocationDetailVOno(DeviceLocationDetailVO not expanded; call omada_get_schema "DeviceLocationDetailVO")
qosConfigOswQosConfigVOno(OswQosConfigVO not expanded; call omada_get_schema "OswQosConfigVO")
rememberDeviceintegernoWhether to remember the device.RememberDevice should be a value as follows: 0:off, 1:on, 2: follow site
json
// omada_call_operation
{
  "operationId": "modifyOswStackDetail",
  "params": {
    "siteId": "<siteId>",
    "stackId": "<stackId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Modify stack detail.
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-40200 - This switch stack is not existed.

modifyStackLoopbackControl ​

PATCH /openapi/v1/{omadacId}/sites/{siteId}/stacks/{stackId}/config/loopback

Modify stack loopback control

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
stackIdpathstringyesStack ID

Request body — application/json (required) — schema SwitchLoopbackControl

FieldTypeRequiredDescription
loopbackDetectEnablebooleannoLoopbackDetectEnable
stpintegernoSTP should be a value as follows: 0: OFF 1: STP 2: RSTP 3: MSTP 4: RPVST
priorityintegernoParameter [priority] should be an integer from 0 to 61440 and divisible by 4096.
helloTimeintegernohelloTime should be between 1 and 10.
maxAgeintegernomaxAge should be between 6 and 40.
forwardDelayintegernoforwardDelay should be between 4 and 30.
txHoldCountintegernotxHoldCount should be between 1 and 20.
maxHopsintegernomaxHops should be between 1 and 40. maxHops is only allowed when the STP type is MSTP.
mstpOswStpMstpConfigOpenApiVOno(OswStpMstpConfigOpenApiVO not expanded; call omada_get_schema "OswStpMstpConfigOpenApiVO")
rpvstOswStpRpvstVOno(OswStpRpvstVO not expanded; call omada_get_schema "OswStpRpvstVO")
json
// omada_call_operation
{
  "operationId": "modifyStackLoopbackControl",
  "params": {
    "siteId": "<siteId>",
    "stackId": "<stackId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Modify stack loopback control.
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-40200 - This switch stack is not existed.

getOswStackLagList ​

GET /openapi/v1/{omadacId}/sites/{siteId}/stacks/{stackId}/lags

Get stack lag List

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
stackIdpathstringyesStack ID
json
// omada_call_operation
{
  "operationId": "getOswStackLagList",
  "params": {
    "siteId": "<siteId>",
    "stackId": "<stackId>"
  }
}
Details, permissions and error codes

Get stack lag List.
The interface requires one of the permissions:
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-40200 - This switch stack is not existed.

deleteOswStackLag ​

DELETE /openapi/v1/{omadacId}/sites/{siteId}/stacks/{stackId}/lags/{lagId}

Deprecated

This operation is deprecated.

Delete stack lag

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
stackIdpathstringyesStack ID
lagIdpathstringyesLAG ID
json
// omada_call_operation
{
  "operationId": "deleteOswStackLag",
  "params": {
    "siteId": "<siteId>",
    "stackId": "<stackId>",
    "lagId": "<lagId>"
  }
}
Details, permissions and error codes

Delete stack lag. This interface has been deprecated. Please use the following interface instead: Delete stack lag V2
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-40200 - This switch stack is not existed.

getOswStackLag ​

GET /openapi/v1/{omadacId}/sites/{siteId}/stacks/{stackId}/lags/{lagId}

Get stack lag

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
stackIdpathstringyesStack ID
lagIdpathstringyesLAG ID
json
// omada_call_operation
{
  "operationId": "getOswStackLag",
  "params": {
    "siteId": "<siteId>",
    "stackId": "<stackId>",
    "lagId": "<lagId>"
  }
}
Details, permissions and error codes

Get stack lag.
The interface requires one of the permissions:
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-40200 - This switch stack is not existed.

modifyOswStackLag ​

PATCH /openapi/v1/{omadacId}/sites/{siteId}/stacks/{stackId}/lags/{lagId}

Deprecated

This operation is deprecated.

Modify stack lag

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
stackIdpathstringyesStack ID
lagIdpathstringyesLAG ID

Request body — application/json (required) — schema OswStackMemberLagOpenApiVO

FieldTypeRequiredDescription
namestringnoLag Name
profileIdstringnoProfile ID
profileOverrideEnablebooleanyesIndicates whether to enable Profile Override
linkSpeedintegernoLink Speed should be a value as follows: 0: auto; 1: 10M; 2: 100M; 3: 1000M; 4: 2.5G; 5: 10G
duplexintegernoDuplex should be a value as follows: 0: Auto; 1: Half; 2: Full
bandCtrlOswBandCtrlVOno(OswBandCtrlVO not expanded; call omada_get_schema "OswBandCtrlVO")
stormCtrlOswStormCtrlVOno(OswStormCtrlVO not expanded; call omada_get_schema "OswStormCtrlVO")
bandWidthCtrlTypeintegernoBandWidthCtrlType should be a value as follows: 0: Off; 1: Rate Limit; 2: Storming Control
spanningTreeEnablebooleannoIndicates whether SpanningTree is enabled
spanningTreeSettingSpanningTreeSettingVOno(SpanningTreeSettingVO not expanded; call omada_get_schema "SpanningTreeSettingVO")
loopbackDetectEnablebooleannoIndicates whether loopbackDetect port based is enabled
loopbackDetectVlanBasedEnablebooleannoIndicates whether loopbackDetect vlan based is enabled
igmpFastLeaveEnablebooleannoIndicates whether igmp fast leave is enabled
mldFastLeaveEnablebooleannoIndicates whether mld fast leave is enabled
portIsolationEnablebooleannoIndicates whether port isolation is enabled
eeeEnablebooleannoIndicates whether EEE is enabled
flowControlEnablebooleannoIndicates whether flow control is enabled
fastLeaveEnablebooleannoIndicates whether igmpSnooping fastLeave is enabled
dhcpL2RelaySettingsOswPortDhcpL2RelayVOno(OswPortDhcpL2RelayVO not expanded; call omada_get_schema "OswPortDhcpL2RelayVO")
dot1pPriorityintegernoDot1p Priority
trustModeintegernoTrustMode should be a value as follows: 0: Untrusted; 1: Trust 802.1p; 2: Trust DSCP
standardPortsarray<OswStandPortVO>noLAG Standard ports
json
// omada_call_operation
{
  "operationId": "modifyOswStackLag",
  "params": {
    "siteId": "<siteId>",
    "stackId": "<stackId>",
    "lagId": "<lagId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Modify stack lag. This interface has been deprecated. Please use the following interface instead: Modify stack lag V2
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-40200 - This switch stack is not existed.

getStackNetworkList ​

GET /openapi/v1/{omadacId}/sites/{siteId}/stacks/{stackId}/networks

Get stack vlan interface List

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
stackIdpathstringyesStack ID
pagequeryintegernoStart page number. Start from 1. (default 1)
pageSizequeryintegernoNumber of entries per page. It should be within the range of 1–1000. (default 100)
json
// omada_call_operation
{
  "operationId": "getStackNetworkList",
  "params": {
    "siteId": "<siteId>",
    "stackId": "<stackId>"
  }
}
Details, permissions and error codes

Get stack vlan interface List.
The interface requires one of the permissions:
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-40200 - This switch stack is not existed.

batchApplyStackNetworks ​

POST /openapi/v1/{omadacId}/sites/{siteId}/stacks/{stackId}/networks

Batch modify stack vlan interface status

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
stackIdpathstringyesStack ID

Request body — application/json (required) — schema BatchApplyStackNetworkOpenApiVO

FieldTypeRequiredDescription
networksarray<OswNetworkBaseOpenApi>yesBatch config networks status.
json
// omada_call_operation
{
  "operationId": "batchApplyStackNetworks",
  "params": {
    "siteId": "<siteId>",
    "stackId": "<stackId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Batch modify stack vlan interface status.
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-40200 - This switch stack is not existed.

getGridStackPortAndLagNetworksDetail ​

GET /openapi/v1/{omadacId}/sites/{siteId}/stacks/{stackId}/networks-detail

Get the networks detail (including the vlan related ports and lags info) used on stack's ports and LAGs

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
stackIdpathstringyesStack ID
pagequeryintegernoStart page number. Start from 1. (default 1)
pageSizequeryintegernoNumber of entries per page. It should be within the range of 1–1000. (default 100)
json
// omada_call_operation
{
  "operationId": "getGridStackPortAndLagNetworksDetail",
  "params": {
    "siteId": "<siteId>",
    "stackId": "<stackId>"
  }
}
Details, permissions and error codes

Get the networks detail (including the vlan related ports and lags info) used on stack's ports and LAGs.
The interface requires one of the permissions:
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-40200 - This switch stack is not existed.

modifyStackNetwork ​

PATCH /openapi/v1/{omadacId}/sites/{siteId}/stacks/{stackId}/networks/{networkId}

Modify stack vlan interface

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
stackIdpathstringyesStack ID
networkIdpathstringyesNetwork ID

Request body — application/json (required) — schema OswNetworkOpenApi

FieldTypeRequiredDescription
idstringyesNetwork ID
vlanintegeryesVLAN ID.
statusbooleannoEnable status of the network vlan. Note: this field only takes effect when toggling switch status on the Interface list page and is ignored by other switch network edit APIs.
mvlanbooleanyesIndicate the vlan is management vlan or not.
namestringnoSwitch network name.
ipOswIpSettingOpenApiVOno(OswIpSettingOpenApiVO not expanded; call omada_get_schema "OswIpSettingOpenApiVO")
ipv6EnablebooleannoEnable IPV6 or not.
ipv6OswIpv6SettingOpenApiVOno(OswIpv6SettingOpenApiVO not expanded; call omada_get_schema "OswIpv6SettingOpenApiVO")
modeintegeryesDHCP mode. 0: None, mode 1: DHCP Server, mode 2: DHCP Relay
dhcpServerOswDhcpServerOpenApiVOno(OswDhcpServerOpenApiVO not expanded; call omada_get_schema "OswDhcpServerOpenApiVO")
dhcpRelayOswDhcpRelayOpenApiVOno(OswDhcpRelayOpenApiVO not expanded; call omada_get_schema "OswDhcpRelayOpenApiVO")
vrfIdstringnoVRF ID
mtuintegernoMTU, MTU value should be less than or equal to the jumbo value
json
// omada_call_operation
{
  "operationId": "modifyStackNetwork",
  "params": {
    "siteId": "<siteId>",
    "stackId": "<stackId>",
    "networkId": "<networkId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Modify stack vlan interface.
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-40200 - This switch stack is not existed.

getGridStackPortAndLagNetworks ​

GET /openapi/v1/{omadacId}/sites/{siteId}/stacks/{stackId}/port-lag-networks

Get the networks used on stack's ports and LAGs

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
stackIdpathstringyesStack ID
pagequeryintegernoStart page number. Start from 1. (default 1)
pageSizequeryintegernoNumber of entries per page. It should be within the range of 1–1000. (default 100)
json
// omada_call_operation
{
  "operationId": "getGridStackPortAndLagNetworks",
  "params": {
    "siteId": "<siteId>",
    "stackId": "<stackId>"
  }
}
Details, permissions and error codes

Get the networks used on stack's ports and LAGs.
The interface requires one of the permissions:
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-40200 - This switch stack is not existed.

getStackPortAndLagNetwork ​

GET /openapi/v1/{omadacId}/sites/{siteId}/stacks/{stackId}/port-lag-networks/{networkId}/vlan/{vlan}

Get the stack's ports and LAGs that the network affects

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
stackIdpathstringyesStack ID
networkIdpathstringyesSwitch network ID.
vlanpathstringyesVLAN.
json
// omada_call_operation
{
  "operationId": "getStackPortAndLagNetwork",
  "params": {
    "siteId": "<siteId>",
    "stackId": "<stackId>",
    "networkId": "<networkId>",
    "vlan": "<vlan>"
  }
}
Details, permissions and error codes

Get the stack's ports and LAGs that the network affects.
The interface requires one of the permissions:
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33503 - This network does not exist.
-40200 - This switch stack is not existed.

getOswStackPortList ​

GET /openapi/v1/{omadacId}/sites/{siteId}/stacks/{stackId}/ports

Get stack port List

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
stackIdpathstringyesStack ID
json
// omada_call_operation
{
  "operationId": "getOswStackPortList",
  "params": {
    "siteId": "<siteId>",
    "stackId": "<stackId>"
  }
}
Details, permissions and error codes

Get stack port List.
The interface requires one of the permissions:
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-40200 - This switch stack is not existed.

modifyOswStackPort ​

PATCH /openapi/v1/{omadacId}/sites/{siteId}/stacks/{stackId}/ports/{port}

Deprecated

This operation is deprecated.

Modify stack port

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
stackIdpathstringyesStack ID
portpathstringyesPort

Request body — application/json (required) — schema OswPortSettingOpenApiVO

FieldTypeRequiredDescription
macstringnoThe device mac to which the port belongs
namestringnoPort name
profileIdstringnoLan Profile ID
profileOverrideEnablebooleanyesIndicates whether to enable Profile Override
operationstringnoOperation should be a value as follows: SWITCHING; MIRRORING; AGGREGATING
mirroredPortsarray<integer>noMonitored Port
mirroredLagsarray<integer>noMonitored LAG
lagSettingOswLagBasicVOno(OswLagBasicVO not expanded; call omada_get_schema "OswLagBasicVO")
linkSpeedintegernoLinkSpeed should be a value as follows: 0: Auto; 1: 10M; 2: 100M; 3: 1000M; 4: 2500M; 5: 10G; 6: 5G; 7: 25G; 8: 100G; 9: 40G.
duplexintegernoDuplex should be a value as follows: 0: Auto; 1: Half; 2: Full
dot1xintegernoDot1x should be a value as follows: 0: Force unauthorized; 1: Force authorized; 2: Auto
poeintegernoPoE switch should be a value as follows: 0: Off; 1: 802.3at/af
bandWidthCtrlTypeintegernoBandWidthCtrlType should be a value as follows: 0: Off; 1: Rate Limit; 2: Storming Control
bandCtrlOswBandCtrlVOno(OswBandCtrlVO not expanded; call omada_get_schema "OswBandCtrlVO")
stormCtrlOswStormCtrlOpenApiVOno(OswStormCtrlOpenApiVO not expanded; call omada_get_schema "OswStormCtrlOpenApiVO")
lldpMedEnablebooleannoLLDP-MED enable status
topoNotifyEnablebooleannoTopoNotify enable status
spanningTreeEnablebooleannoSpanningTree enable status
spanningTreeSettingSpanningTreeSettingVOno(SpanningTreeSettingVO not expanded; call omada_get_schema "SpanningTreeSettingVO")
loopbackDetectEnablebooleannoLoopbackDetect enable status
loopbackDetectVlanBasedEnablebooleannoLoopbackDetectVLANBased enable status
igmpFastLeaveEnablebooleannoIndicates whether igmp fast leave is enabled
mldFastLeaveEnablebooleannoIndicates whether mld fast leave is enabled
portIsolationEnablebooleannoPort-isolation enable status
eeeEnablebooleannoEEE enable status
flowControlEnablebooleannoFlowControl enable status
fastLeaveEnablebooleannoIndicates whether igmpSnooping fastLeave is enabled
dhcpL2RelaySettingsOswPortDhcpL2RelayVOno(OswPortDhcpL2RelayVO not expanded; call omada_get_schema "OswPortDhcpL2RelayVO")
stackSettingOswPortStackSettingVOno(OswPortStackSettingVO not expanded; call omada_get_schema "OswPortStackSettingVO")
dot1pPriorityintegernoDot1p Priority
trustModeintegernoTrustMode should be a value as follows: 0: Untrusted; 1: Trust 802.1p; 2: Trust DSCP
json
// omada_call_operation
{
  "operationId": "modifyOswStackPort",
  "params": {
    "siteId": "<siteId>",
    "stackId": "<stackId>",
    "port": "<port>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Modify stack port. This interface has been deprecated. Please use the following interface instead: Modify stack port V2
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-40200 - This switch stack is not existed.

batchModifyOswStackPorts ​

POST /openapi/v1/{omadacId}/sites/{siteId}/stacks/{stackId}/ports/config

Deprecated

This operation is deprecated.

Batch modify stack port

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
stackIdpathstringyesStack ID

Request body — application/json (required) — schema BatchStackPortSettingOpenApiVO

FieldTypeRequiredDescription
unitListarray<OswStackUnitVO>yesUnit List
namestringnoPort name
profileIdstringnoLan Profile ID
profileOverrideEnablebooleannoIndicates whether to enable Profile Override
operationstringnoOperation should be a value as follows: SWITCHING;
linkSpeedintegernoLinkSpeed should be a value as follows: 0: Auto; 1: 10M; 2: 100M; 3: 1000M; 4: 2500M; 5: 10G; 6: 5G; 7: 25G; 8: 100G; 9: 40G.
duplexintegernoDuplex should be a value as follows: 0: Auto; 1: Half; 2: Full
dot1xintegernoDot1x should be a value as follows: 0: Force unauthorized; 1: Force authorized; 2: Auto
poeintegernoPoE switch should be a value as follows: 0: Off; 1: 802.3at/af
bandWidthCtrlTypeintegernoBandWidthCtrlType should be a value as follows: 0: Off; 1: Rate Limit; 2: Storming Control
bandCtrlOswBandCtrlVOno(OswBandCtrlVO not expanded; call omada_get_schema "OswBandCtrlVO")
stormCtrlOswStormCtrlVOno(OswStormCtrlVO not expanded; call omada_get_schema "OswStormCtrlVO")
lldpMedEnablebooleannoLLDP-MED enable status
spanningTreeEnablebooleannoSpanningTree enable status
spanningTreeSettingSpanningTreeSettingVOno(SpanningTreeSettingVO not expanded; call omada_get_schema "SpanningTreeSettingVO")
loopbackDetectEnablebooleannoLoopbackDetect enable status
loopbackDetectVlanBasedEnablebooleannoLoopbackDetectVLANBased enable status
igmpFastLeaveEnablebooleannoIndicates whether igmp fast leave is enabled
mldFastLeaveEnablebooleannoIndicates whether mld fast leave is enabled
portIsolationEnablebooleannoPort-isolation enable status
eeeEnablebooleannoEEE enable status
flowControlEnablebooleannoFlowControl enable status
fastLeaveEnablebooleannoIndicates whether igmpSnooping fastLeave is enabled
dhcpL2RelaySettingsOswPortDhcpL2RelayVOno(OswPortDhcpL2RelayVO not expanded; call omada_get_schema "OswPortDhcpL2RelayVO")
dot1pPriorityintegernoDot1p Priority
trustModeintegernoTrustMode should be a value as follows: 0: Untrusted; 1: Trust 802.1p; 2: Trust DSCP
json
// omada_call_operation
{
  "operationId": "batchModifyOswStackPorts",
  "params": {
    "siteId": "<siteId>",
    "stackId": "<stackId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Batch modify stack port. This interface has been deprecated. Please use the following interface instead: Batch modify stack port V2
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-40200 - This switch stack is not existed.

getStackRememberMe ​

GET /openapi/v1/{omadacId}/sites/{siteId}/stacks/{stackId}/remember

Get stack remember Config

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
stackIdpathstringyesStack ID
json
// omada_call_operation
{
  "operationId": "getStackRememberMe",
  "params": {
    "siteId": "<siteId>",
    "stackId": "<stackId>"
  }
}
Details, permissions and error codes

Get stack remember Config.
The interface requires one of the permissions:
Site Device Manager View Only

modifyStackRememberMe ​

POST /openapi/v1/{omadacId}/sites/{siteId}/stacks/{stackId}/remember

Modify stack remember Config

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
stackIdpathstringyesStack ID

Request body — application/json (required) — schema DeviceRememberConfig

FieldTypeRequiredDescription
rememberintegernoThe remember configuration of the device, 0 means disable, 1 means enable, 2 means follow site.
json
// omada_call_operation
{
  "operationId": "modifyStackRememberMe",
  "params": {
    "siteId": "<siteId>",
    "stackId": "<stackId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Modify stack remember Config.
The interface requires one of the permissions:
Site Device Manager Modify

getGridStackStaticRouting ​

GET /openapi/v1/{omadacId}/sites/{siteId}/stacks/{stackId}/staticRoutings

Get grid stack staticRouting

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
stackIdpathstringyesStack ID
pagequeryintegernoStart page number. Start from 1. (default 1)
pageSizequeryintegernoNumber of entries per page. It should be within the range of 1–1000. (default 100)
json
// omada_call_operation
{
  "operationId": "getGridStackStaticRouting",
  "params": {
    "siteId": "<siteId>",
    "stackId": "<stackId>"
  }
}
Details, permissions and error codes

Get grid stack staticRouting.
The interface requires one of the permissions:
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-40200 - This switch stack is not existed.

createStackStaticRouting ​

POST /openapi/v1/{omadacId}/sites/{siteId}/stacks/{stackId}/staticRoutings

Create stack staticRouting

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
stackIdpathstringyesStack ID

Request body — application/json (required) — schema OswStaticRoutingConfigOpenApiVO

FieldTypeRequiredDescription
ipVersionintegeryesThe IP Version of class rule should be a value as follows: 0: IPv4; 1: IPv6.
statusbooleanyesStaticRouting status
destinationsarray<string>yesIP address/SubNet, up to 16 entries are allowed for the destinations list.
nextHopIpstringyesNextHopIp
distanceintegeryesDistance should be within the range of 1–255.
descriptionstringnoThe description of static routing. It may contain 0 to 128 characters, including digits (0–9), uppercase and lowercase letters (A–Z, a–z), spaces, and -_@😕.+# .
vrfIdstringnoVrfId
nextHopVrfIdstringnoNextHopVrfId
json
// omada_call_operation
{
  "operationId": "createStackStaticRouting",
  "params": {
    "siteId": "<siteId>",
    "stackId": "<stackId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Create stack staticRouting.
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-40200 - This switch stack is not existed.

deleteStackStaticRouting ​

DELETE /openapi/v1/{omadacId}/sites/{siteId}/stacks/{stackId}/staticRoutings/{staticRoutingId}

Delete stack staticRouting

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
stackIdpathstringyesStack ID
staticRoutingIdpathstringyesStatic routing ID
json
// omada_call_operation
{
  "operationId": "deleteStackStaticRouting",
  "params": {
    "siteId": "<siteId>",
    "stackId": "<stackId>",
    "staticRoutingId": "<staticRoutingId>"
  }
}
Details, permissions and error codes

Delete stack staticRouting.
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-40200 - This switch stack is not existed.

modifyStackStaticRouting ​

PUT /openapi/v1/{omadacId}/sites/{siteId}/stacks/{stackId}/staticRoutings/{staticRoutingId}

Modify stack staticRouting

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
stackIdpathstringyesStack ID
staticRoutingIdpathstringyesStatic routing ID

Request body — application/json (required) — schema OswStaticRoutingConfigOpenApiVO

FieldTypeRequiredDescription
ipVersionintegeryesThe IP Version of class rule should be a value as follows: 0: IPv4; 1: IPv6.
statusbooleanyesStaticRouting status
destinationsarray<string>yesIP address/SubNet, up to 16 entries are allowed for the destinations list.
nextHopIpstringyesNextHopIp
distanceintegeryesDistance should be within the range of 1–255.
descriptionstringnoThe description of static routing. It may contain 0 to 128 characters, including digits (0–9), uppercase and lowercase letters (A–Z, a–z), spaces, and -_@😕.+# .
vrfIdstringnoVrfId
nextHopVrfIdstringnoNextHopVrfId
json
// omada_call_operation
{
  "operationId": "modifyStackStaticRouting",
  "params": {
    "siteId": "<siteId>",
    "stackId": "<stackId>",
    "staticRoutingId": "<staticRoutingId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Modify stack staticRouting.
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-40200 - This switch stack is not existed.

getStackGridVrf ​

GET /openapi/v1/{omadacId}/sites/{siteId}/stacks/{stackId}/vrfs

Get stack vrf page

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
stackIdpathstringyesStack ID
pagequeryintegernoStart page number. Start from 1. (default 1)
pageSizequeryintegernoNumber of entries per page. It should be within the range of 1–1000. (default 100)
json
// omada_call_operation
{
  "operationId": "getStackGridVrf",
  "params": {
    "siteId": "<siteId>",
    "stackId": "<stackId>"
  }
}
Details, permissions and error codes

Get stack vrf page
The interface requires one of the permissions:
Site Device Manager View Only

createStackVrf ​

POST /openapi/v1/{omadacId}/sites/{siteId}/stacks/{stackId}/vrfs

Create new stack vrf

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
stackIdpathstringyesStack ID

Request body — application/json (required) — schema OswVrfVO

FieldTypeRequiredDescription
idstringnoVRF ID. This parameter is not required for creation or modification.
vrfstringyesVRF name, it should be 1 to 15 characters consisting of numbers (0 to 9), uppercase and lowercase letters (A to Z, a to z), and symbols -_@.+ but cannot be . or .. only.
ipv4EnablebooleanyesWhether to enable ipv4. Ipv4Enable should be true
ipv6EnablebooleanyesWhether to enable ipv6
json
// omada_call_operation
{
  "operationId": "createStackVrf",
  "params": {
    "siteId": "<siteId>",
    "stackId": "<stackId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Create new stack vrf
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39700 - Switch does not exist
-39970 - The number of VRF entries in this switch has reached the limit.
-39971 - This switch VRF Name already exists.
-40200 - This switch stack is not existed.

deleteStackVrf ​

DELETE /openapi/v1/{omadacId}/sites/{siteId}/stacks/{stackId}/vrfs/{vrfId}

Delete an existing stack vrf

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
stackIdpathstringyesStack ID
vrfIdpathstringyesVRF ID
json
// omada_call_operation
{
  "operationId": "deleteStackVrf",
  "params": {
    "siteId": "<siteId>",
    "stackId": "<stackId>",
    "vrfId": "<vrfId>"
  }
}
Details, permissions and error codes

Delete an existing stack vrf
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39700 - Switch does not exist
-39947 - The default VRF cannot be deleted.
-39972 - This VRF in use cannot be deleted.
-39975 - Switch VRF does not exist.
-40200 - This switch stack is not existed.

modifyStackVrf ​

PUT /openapi/v1/{omadacId}/sites/{siteId}/stacks/{stackId}/vrfs/{vrfId}

Modify an existing stack vrf

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
stackIdpathstringyesStack ID
vrfIdpathstringyesVRF ID

Request body — application/json (required) — schema ModifyOswVrfOpenApiVO

FieldTypeRequiredDescription
ipv6EnablebooleanyesWhether to enable ipv6
json
// omada_call_operation
{
  "operationId": "modifyStackVrf",
  "params": {
    "siteId": "<siteId>",
    "stackId": "<stackId>",
    "vrfId": "<vrfId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Modify an existing stack vrf
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39700 - Switch does not exist
-39948 - The default VRF cannot be edited.
-39971 - This switch VRF Name already exists.
-39973 - This VRF is being used by other IPv6 functions and the IPv6 address-family cannot be disabled.
-39975 - Switch VRF does not exist.
-40200 - This switch stack is not existed.

detectSwitchStackMembersForAllStacks ​

POST /openapi/v1/{omadacId}/sites/{siteId}/stacks/detect

Detect switch stacks members for all stacks

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
json
// omada_call_operation
{
  "operationId": "detectSwitchStackMembersForAllStacks",
  "params": {
    "siteId": "<siteId>"
  }
}
Details, permissions and error codes

Detect switch stacks members for all stacks.
The interface requires one of the permissions:
Site Device Manager Modify

detectSwitchStackMembers ​

POST /openapi/v1/{omadacId}/sites/{siteId}/stacks/detect/{stackId}

Detect switch stack members

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
stackIdpathstringyesStack ID
json
// omada_call_operation
{
  "operationId": "detectSwitchStackMembers",
  "params": {
    "siteId": "<siteId>",
    "stackId": "<stackId>"
  }
}
Details, permissions and error codes

Detect switch stack members.
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-40200 - This switch stack is not existed.

getGridDiscoveryStackList ​

GET /openapi/v1/{omadacId}/sites/{siteId}/stacks/discovery

Get discovery stack list

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
pagequeryintegernoStart page number. Start from 1. (default 1)
pageSizequeryintegernoNumber of entries per page. It should be within the range of 1–1000. (default 100)
json
// omada_call_operation
{
  "operationId": "getGridDiscoveryStackList",
  "params": {
    "siteId": "<siteId>"
  }
}
Details, permissions and error codes

Get discovery stack list.
The interface requires one of the permissions:
Site Device Manager View Only

getStackableSwitches ​

GET /openapi/v1/{omadacId}/sites/{siteId}/stacks/switches

Get stackable switches

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
stackIdquerystringyesStack ID
json
// omada_call_operation
{
  "operationId": "getStackableSwitches",
  "params": {
    "siteId": "<siteId>",
    "stackId": "<stackId>"
  }
}
Details, permissions and error codes

Get stackable switches.
The interface requires one of the permissions:
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-40200 - This switch stack is not existed.

getMspOswStackDetail ​

GET /openapi/v1/msp/{mspId}/customers/{customerId}/sites/{siteId}/stack/{stackId}

Get msp stack detail

ParameterInTypeRequiredDescription
mspIdpathstringautoMSP ID (filled in automatically)
customerIdpathstringyescustomerId
siteIdpathstringyesSite ID (site ID or site name)
stackIdpathstringyesStack ID
json
// omada_call_operation
{
  "operationId": "getMspOswStackDetail",
  "params": {
    "customerId": "<customerId>",
    "siteId": "<siteId>",
    "stackId": "<stackId>"
  }
}
Details, permissions and error codes

Get msp stack detail.
The interface requires one of the permissions:
MSP Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-40200 - This switch stack is not existed.

getMspOswStackList ​

GET /openapi/v1/msp/{mspId}/stack

Get msp stack List

ParameterInTypeRequiredDescription
mspIdpathstringautoMSP ID (filled in automatically)
pagequeryintegernoStart page number. Start from 1. (default 1)
pageSizequeryintegernoNumber of entries per page. It should be within the range of 1–1000. (default 100)
json
// omada_call_operation
{
  "operationId": "getMspOswStackList"
}
Details, permissions and error codes

Get msp stack List.
The interface requires one of the permissions:
MSP Device Manager View Only

deleteSwitchStackLagSetting ​

DELETE /openapi/v2/{omadacId}/sites/{siteId}/stacks/{stackId}/lags/{lagId}

Delete stack lag V2

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
stackIdpathstringyesStack ID
lagIdpathstringyesLag ID
json
// omada_call_operation
{
  "operationId": "deleteSwitchStackLagSetting",
  "params": {
    "siteId": "<siteId>",
    "stackId": "<stackId>",
    "lagId": "<lagId>"
  }
}
Details, permissions and error codes

Delete stack lag V2.
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-40200 - This switch stack is not existed.

modifySwitchStackLagSetting ​

PATCH /openapi/v2/{omadacId}/sites/{siteId}/stacks/{stackId}/lags/{lagId}

Modify stack lag V2

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
stackIdpathstringyesStack ID
lagIdpathstringyesLag ID

Request body — application/json (required) — schema StackLagSettingVO

FieldTypeRequiredDescription
namestringnoPort or Lag Name
tagIdsarray<string>noTag ID List
nativeNetworkIdstringnoNative Network ID, Native Network cannot be selected from Tagged Networks or Untagged Networks.
nativeBridgeVlanintegernoNative Network Bridge Vlan.
networkTagsSettingintegernoNetwork Tags Setting should be a value as follows: 0: Allow All; 1: Block All; 2: Custom
tagNetworkIdsarray<string>noTag Network IDs
tagBridgeVlanMapobjectnoTag Network Bridge Vlan Map
untagNetworkIdsarray<string>noUntag Network IDs
untagBridgeVlanMapobjectnoUntag Network Bridge Vlan Map
voiceNetworkEnablebooleannoIndicates whether voice network is enabled
voiceNetworkIdstringnoVoice Network ID
voiceBridgeVlanintegernoVoice Network Bridge Vlan
voiceDscpEnablebooleannoIndicates whether voice DSCP is enabled
voiceDscpintegernoVoice DSCP
portAlertEnablebooleannoIndicates whether port alert is enabled
fecModeintegernoFEC mode should be a value as follows: 1: Off; 2: RS528; 3: RS544; 4: Auto; 5: Base-R
fecLinkPeerApplyEnablebooleannoIndicates whether the FEC Mode is synchronously applied to the link peer port.
disablebooleannoIndicates whether to disable
profileIdstringnoProfile ID is required (not null) when modifying a single port.
profileOverrideEnablebooleannoIndicates whether to enable Profile Override before v6.2.10; Indicates the fill mode of port configuration after v6.2.10: true: custom; false: follow profile
profileVlanOverrideEnablebooleannoIndicates the fill mode of vlan configuration: true: custom; false: follow profile
linkSpeedintegernoLink Speed should be a value as follows: 0: auto; 1: 10M; 2: 100M; 3: 1000M; 4: 2.5G; 5: 10G
duplexintegernoDuplex should be a value as follows: 0: Auto; 1: Half; 2: Full
igmpSnoopingEnablebooleannoIndicates whether IGMP Snooping is enabled
bandWidthCtrlTypeintegernoBandWidthCtrlType should be a value as follows: 0: Off; 1: Rate Limit; 2: Storming Control
bandCtrlOswBandCtrlVOno(OswBandCtrlVO not expanded; call omada_get_schema "OswBandCtrlVO")
stormCtrlOswStormCtrlVOno(OswStormCtrlVO not expanded; call omada_get_schema "OswStormCtrlVO")
spanningTreeEnablebooleannoIndicates whether SpanningTree is enabled
spanningTreeSettingSpanningTreeSettingVOno(SpanningTreeSettingVO not expanded; call omada_get_schema "SpanningTreeSettingVO")
loopbackDetectEnablebooleannoIndicates whether loopbackDetect port based is enabled
loopbackDetectVlanBasedEnablebooleannoIndicates whether loopbackDetect vlan based is enabled
igmpFastLeaveEnablebooleannoIndicates whether igmp fast leave is enabled
mldFastLeaveEnablebooleannoIndicates whether mld fast leave is enabled
portIsolationEnablebooleannoIndicates whether port isolation is enabled
eeeEnablebooleannoIndicates whether EEE is enabled
flowControlEnablebooleannoIndicates whether flow control is enabled
fastLeaveEnablebooleannoIndicates whether igmpSnooping fastLeave is enabled
dhcpL2RelaySettingsOswPortDhcpL2RelayVOno(OswPortDhcpL2RelayVO not expanded; call omada_get_schema "OswPortDhcpL2RelayVO")
dot1pPriorityintegernoDot1p Priority
trustModeintegernoTrustMode should be a value as follows: 0: Untrusted; 1: Trust 802.1p; 2: Trust DSCP
qosQueueEnablebooleannoIndicates whether the ES device port has enabled the Qos scheduling queue configuration
queueIdintegernoES Qos scheduling queue ID
removedOuiBasedRuleIdsarray<string>noThe id of oui based vlan rule removded.
operationstringnoOperation should be a value as follows: "switching" or "mirroring" or "aggregating"
lagIdintegernoLag ID
lagTypeintegernoLag Type should be a value as follows: 1: STATIC; 2: LACP; 3: LACP ACTIVE; 4: LACP PASSIVE
portsarray<integer>noLag Ports
mlagNamestringnoM-LAG group Name
mlagEnablebooleannoIndicates whether M-LAG port is enabled
mlagPeerSettingOswMlagPeerSettingVOno(OswMlagPeerSettingVO not expanded; call omada_get_schema "OswMlagPeerSettingVO")
standardPortsarray<OswStandPortVO>noLAG Standard ports
json
// omada_call_operation
{
  "operationId": "modifySwitchStackLagSetting",
  "params": {
    "siteId": "<siteId>",
    "stackId": "<stackId>",
    "lagId": "<lagId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Modify stack lag V2.
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-40200 - This switch stack is not existed.

batchModifySwitchStackPortSetting ​

PATCH /openapi/v2/{omadacId}/sites/{siteId}/stacks/{stackId}/multi-ports/config

Batch modify stack port V2

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
stackIdpathstringyesStack ID

Request body — application/json (required) — schema BatchStackPortSettingVO

FieldTypeRequiredDescription
namestringnoPort or Lag Name
tagIdsarray<string>noTag ID List
nativeNetworkIdstringnoNative Network ID, Native Network cannot be selected from Tagged Networks or Untagged Networks.
nativeBridgeVlanintegernoNative Network Bridge Vlan.
networkTagsSettingintegernoNetwork Tags Setting should be a value as follows: 0: Allow All; 1: Block All; 2: Custom
tagNetworkIdsarray<string>noTag Network IDs
tagBridgeVlanMapobjectnoTag Network Bridge Vlan Map
untagNetworkIdsarray<string>noUntag Network IDs
untagBridgeVlanMapobjectnoUntag Network Bridge Vlan Map
voiceNetworkEnablebooleannoIndicates whether voice network is enabled
voiceNetworkIdstringnoVoice Network ID
voiceBridgeVlanintegernoVoice Network Bridge Vlan
voiceDscpEnablebooleannoIndicates whether voice DSCP is enabled
voiceDscpintegernoVoice DSCP
portAlertEnablebooleannoIndicates whether port alert is enabled
fecModeintegernoFEC mode should be a value as follows: 1: Off; 2: RS528; 3: RS544; 4: Auto; 5: Base-R
fecLinkPeerApplyEnablebooleannoIndicates whether the FEC Mode is synchronously applied to the link peer port.
disablebooleannoIndicates whether to disable
profileIdstringnoProfile ID is required (not null) when modifying a single port.
profileOverrideEnablebooleannoIndicates whether to enable Profile Override before v6.2.10; Indicates the fill mode of port configuration after v6.2.10: true: custom; false: follow profile
profileVlanOverrideEnablebooleannoIndicates the fill mode of vlan configuration: true: custom; false: follow profile
linkSpeedintegernoLink Speed should be a value as follows: 0: auto; 1: 10M; 2: 100M; 3: 1000M; 4: 2.5G; 5: 10G
duplexintegernoDuplex should be a value as follows: 0: Auto; 1: Half; 2: Full
igmpSnoopingEnablebooleannoIndicates whether IGMP Snooping is enabled
bandWidthCtrlTypeintegernoBandWidthCtrlType should be a value as follows: 0: Off; 1: Rate Limit; 2: Storming Control
bandCtrlOswBandCtrlVOno(OswBandCtrlVO not expanded; call omada_get_schema "OswBandCtrlVO")
stormCtrlOswStormCtrlVOno(OswStormCtrlVO not expanded; call omada_get_schema "OswStormCtrlVO")
spanningTreeEnablebooleannoIndicates whether SpanningTree is enabled
spanningTreeSettingSpanningTreeSettingVOno(SpanningTreeSettingVO not expanded; call omada_get_schema "SpanningTreeSettingVO")
loopbackDetectEnablebooleannoIndicates whether loopbackDetect port based is enabled
loopbackDetectVlanBasedEnablebooleannoIndicates whether loopbackDetect vlan based is enabled
igmpFastLeaveEnablebooleannoIndicates whether igmp fast leave is enabled
mldFastLeaveEnablebooleannoIndicates whether mld fast leave is enabled
portIsolationEnablebooleannoIndicates whether port isolation is enabled
eeeEnablebooleannoIndicates whether EEE is enabled
flowControlEnablebooleannoIndicates whether flow control is enabled
fastLeaveEnablebooleannoIndicates whether igmpSnooping fastLeave is enabled
dhcpL2RelaySettingsOswPortDhcpL2RelayVOno(OswPortDhcpL2RelayVO not expanded; call omada_get_schema "OswPortDhcpL2RelayVO")
dot1pPriorityintegernoDot1p Priority
trustModeintegernoTrustMode should be a value as follows: 0: Untrusted; 1: Trust 802.1p; 2: Trust DSCP
qosQueueEnablebooleannoIndicates whether the ES device port has enabled the Qos scheduling queue configuration
queueIdintegernoES Qos scheduling queue ID
removedOuiBasedRuleIdsarray<string>noThe id of oui based vlan rule removded.
operationstringnoOperation should be a value as follows: "switching" or "mirroring" or "aggregating"
mirroredPortsarray<integer>noMirrored Ports
mirroredLagsarray<integer>noMirrored Lags
lagSettingOswLagBasicVOno(OswLagBasicVO not expanded; call omada_get_schema "OswLagBasicVO")
lagDeletebooleannoWhen the operation changes from aggregating to switching, this parameter should be set to true, and the "lagSetting" parameter needs to include the lagId.
dot1xintegernoDot1x should be a value as follows: 0: Force unauthorized; 1: Force authorized; 2: Auto
poeintegernoPoe should be a value as follows: 0: Off; 1: 802.3at/af
lldpMedEnablebooleannoIndicates whether LLDP-MED is enabled
topoNotifyEnablebooleannoIndicates whether Topology Notify is enabled
macstringnoMac address of the port. This parameter can be null when batch modify stack ports, but not null when modify a single stack port
stackSettingOswPortStackSettingVOno(OswPortStackSettingVO not expanded; call omada_get_schema "OswPortStackSettingVO")
unitListarray<OswStackUnitVO>yes
json
// omada_call_operation
{
  "operationId": "batchModifySwitchStackPortSetting",
  "params": {
    "siteId": "<siteId>",
    "stackId": "<stackId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Batch modify stack port V2.
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-40200 - This switch stack is not existed.

modifySwitchStackPortSetting ​

PATCH /openapi/v2/{omadacId}/sites/{siteId}/stacks/{stackId}/ports/{port}

Modify stack port V2

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
stackIdpathstringyesStack ID
portpathstringyesPort

Request body — application/json (required) — schema StackPortSettingVO

FieldTypeRequiredDescription
namestringnoPort or Lag Name
tagIdsarray<string>noTag ID List
nativeNetworkIdstringnoNative Network ID, Native Network cannot be selected from Tagged Networks or Untagged Networks.
nativeBridgeVlanintegernoNative Network Bridge Vlan.
networkTagsSettingintegernoNetwork Tags Setting should be a value as follows: 0: Allow All; 1: Block All; 2: Custom
tagNetworkIdsarray<string>noTag Network IDs
tagBridgeVlanMapobjectnoTag Network Bridge Vlan Map
untagNetworkIdsarray<string>noUntag Network IDs
untagBridgeVlanMapobjectnoUntag Network Bridge Vlan Map
voiceNetworkEnablebooleannoIndicates whether voice network is enabled
voiceNetworkIdstringnoVoice Network ID
voiceBridgeVlanintegernoVoice Network Bridge Vlan
voiceDscpEnablebooleannoIndicates whether voice DSCP is enabled
voiceDscpintegernoVoice DSCP
portAlertEnablebooleannoIndicates whether port alert is enabled
fecModeintegernoFEC mode should be a value as follows: 1: Off; 2: RS528; 3: RS544; 4: Auto; 5: Base-R
fecLinkPeerApplyEnablebooleannoIndicates whether the FEC Mode is synchronously applied to the link peer port.
disablebooleannoIndicates whether to disable
profileIdstringnoProfile ID is required (not null) when modifying a single port.
profileOverrideEnablebooleannoIndicates whether to enable Profile Override before v6.2.10; Indicates the fill mode of port configuration after v6.2.10: true: custom; false: follow profile
profileVlanOverrideEnablebooleannoIndicates the fill mode of vlan configuration: true: custom; false: follow profile
linkSpeedintegernoLink Speed should be a value as follows: 0: auto; 1: 10M; 2: 100M; 3: 1000M; 4: 2.5G; 5: 10G
duplexintegernoDuplex should be a value as follows: 0: Auto; 1: Half; 2: Full
igmpSnoopingEnablebooleannoIndicates whether IGMP Snooping is enabled
bandWidthCtrlTypeintegernoBandWidthCtrlType should be a value as follows: 0: Off; 1: Rate Limit; 2: Storming Control
bandCtrlOswBandCtrlVOno(OswBandCtrlVO not expanded; call omada_get_schema "OswBandCtrlVO")
stormCtrlOswStormCtrlVOno(OswStormCtrlVO not expanded; call omada_get_schema "OswStormCtrlVO")
spanningTreeEnablebooleannoIndicates whether SpanningTree is enabled
spanningTreeSettingSpanningTreeSettingVOno(SpanningTreeSettingVO not expanded; call omada_get_schema "SpanningTreeSettingVO")
loopbackDetectEnablebooleannoIndicates whether loopbackDetect port based is enabled
loopbackDetectVlanBasedEnablebooleannoIndicates whether loopbackDetect vlan based is enabled
igmpFastLeaveEnablebooleannoIndicates whether igmp fast leave is enabled
mldFastLeaveEnablebooleannoIndicates whether mld fast leave is enabled
portIsolationEnablebooleannoIndicates whether port isolation is enabled
eeeEnablebooleannoIndicates whether EEE is enabled
flowControlEnablebooleannoIndicates whether flow control is enabled
fastLeaveEnablebooleannoIndicates whether igmpSnooping fastLeave is enabled
dhcpL2RelaySettingsOswPortDhcpL2RelayVOno(OswPortDhcpL2RelayVO not expanded; call omada_get_schema "OswPortDhcpL2RelayVO")
dot1pPriorityintegernoDot1p Priority
trustModeintegernoTrustMode should be a value as follows: 0: Untrusted; 1: Trust 802.1p; 2: Trust DSCP
qosQueueEnablebooleannoIndicates whether the ES device port has enabled the Qos scheduling queue configuration
queueIdintegernoES Qos scheduling queue ID
removedOuiBasedRuleIdsarray<string>noThe id of oui based vlan rule removded.
operationstringnoOperation should be a value as follows: "switching" or "mirroring" or "aggregating"
mirroredPortsarray<integer>noMirrored Ports
mirroredLagsarray<integer>noMirrored Lags
lagSettingOswLagBasicVOno(OswLagBasicVO not expanded; call omada_get_schema "OswLagBasicVO")
lagDeletebooleannoWhen the operation changes from aggregating to switching, this parameter should be set to true, and the "lagSetting" parameter needs to include the lagId.
dot1xintegernoDot1x should be a value as follows: 0: Force unauthorized; 1: Force authorized; 2: Auto
poeintegernoPoe should be a value as follows: 0: Off; 1: 802.3at/af
lldpMedEnablebooleannoIndicates whether LLDP-MED is enabled
topoNotifyEnablebooleannoIndicates whether Topology Notify is enabled
macstringnoMac address of the port. This parameter can be null when batch modify stack ports, but not null when modify a single stack port
stackSettingOswPortStackSettingVOno(OswPortStackSettingVO not expanded; call omada_get_schema "OswPortStackSettingVO")
json
// omada_call_operation
{
  "operationId": "modifySwitchStackPortSetting",
  "params": {
    "siteId": "<siteId>",
    "stackId": "<stackId>",
    "port": "<port>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Modify stack port V2.
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-40200 - This switch stack is not existed.

Released under the MIT License. Not affiliated with or endorsed by TP-Link.